Join FlipAndroid.COM Telegram Group: https://t.me/joinchat/F_aqThGkhwcLzmI49vKAiw


"La selección no se puede iniciar y no hay lanzamientos recientes" cuando Eclipse para Android Project Dev

Estoy intentando abrir un proyecto Android descomprimido usando Eclipse pero cada vez que intento ejecutarlo o depurarlo muestro este error: "la selección no se puede iniciar y no hay lanzamientos recientes".

Así que lo busqué y trató de crear un nuevo proyecto de una fuente existente, pero se abre con errores y abrir las carpetas src etc. También intenté importar el proyecto que tampoco funcionó. No hay ejecutar como opciones y cambiar la configuración de ejecución realmente no ayuda. No pude encontrar ninguna opción para abrirlo como un proyecto de Android.

¿Podría ayudarme a ejecutar este proyecto?

(Ya que descomprimí este proyecto hay una carpeta _MACOSX cuando importo y no estoy seguro si eso importa o debo quitar esa carpeta.)

6 Solutions collect form web for “"La selección no se puede iniciar y no hay lanzamientos recientes" cuando Eclipse para Android Project Dev”

Estoy ejecutando Eclipse Juno SR 2

Tuve un problema similar. Para solucionar el problema vaya a Run-> Run Configurations …

  • Si no hay crear una nueva configuración de ejecución (arriba a la izquierda)
  • En la pestaña de Android : busca y selecciona el proyecto que quieres ejecutar
  • En la pestaña Destino : seleccione Siempre pedir para seleccionar el dispositivo (o) puede seleccionar el inicio automático.

Solución similar se puede aplicar a la depuración al ir a Run-> Debug Configurations …


Actualizar:

Me doy cuenta de que esto está más allá del alcance de la pregunta, pero si los nuevos desarrolladores están llegando a responder, entonces yo sugeriría cambiar a Android Studio de Eclipse. AS es el IDE oficial de Google para el desarrollo de Android y mucho más agradable de usar.

En el Explorador de paquetes (la columna de la izquierda), haga clic con el botón derecho en el nombre del proyecto (el elemento superior). En el menú que aparece, seleccione "Ejecutar como"; Luego elige "Aplicación de Android".

Lo arreglé para Version: Luna SR2 (4.4.2)

  1. Seleccione las configuraciones de ejecución desde el menú desplegable de la derecha del botón Ejecutar.
  2. Haga doble clic en la aplicación android.
  3. Obtener la ventana de cambio, seleccione el nombre del proyecto mediante el botón de navegación de "android" toque (hay 3 pestañas).
  4. Desde la pestaña "destino", seleccione ADT o su dispositivo, en el que desea ejecutar.
  5. Luego presione "ejecutar" en el botón de la parte inferior derecha, a la izquierda de "cancelar".
  6. Después de poco tiempo, obtendrá nuevas ventanas. Desde allí puede seleccionar su dispositivo conectado o ADT.

Si este archivo es y .apk , debe instalarlo en el emulador utilizando el siguiente comando:

 adb install /path/myfile.apk 

Para obtener más información, puede ver el siguiente enlace: http://developer.android.com/guide/developing/tools/adb.html#move

Simplemente seleccione el código completo y ejecute el código, puede funcionar. Si esto no funciona, pruebe la solución anterior.

Generalmente este error aparece en IDE de eclipse cuando no tiene una función main () en su código.

Compruebe si su programa tiene public static void main (String [] args) en él o no.

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.